Skip to main content
POST
You can test configuration changes by overriding specific parts before updating the full configuration.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Crawler ID. Universally unique identifier (UUID) of the crawler.

Example:

"e0f6db8a-24f5-4092-83a4-1b2c6cb6d809"

Body

application/json
url
string
required

URL to test.

Example:

"https://www.algolia.com/blog"

config
object

Crawler configuration to update. You can only update top-level configuration properties. To update a nested configuration, such as actions.recordExtractor, you must provide the complete top-level object such as actions.

Response

OK

endDate
string
required

Date and time when the test crawl finished, in RFC 3339 format.

Example:

"2024-04-02T15:34:29Z"

Links found on the page, which match the configuration and would be processed.

Example:
logs
string[][]
required

Logs from the record extraction.

Parameters associated with each log.

records
extractedRecords · object[]
required

Extracted records from the URL.

startDate
string
required

Date and time when the test crawl started, in RFC 3339 format.

Example:

"2024-04-02T15:34:29Z"

error
urlTestError · object

An error.

Example:
externalData
object

External data associated with the tested URL.

External data is refreshed automatically at the beginning of the crawl.

Example:
Last modified on March 23, 2026